<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>Login Form</title>
  <style type="text/css">
    label {
      font: 13px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
      font-weight: bold;
      color: #300ACC;
    }
    
    fieldset {
      font: 15px "Lucida Sans Unicode", "Lucida Grande", sans-serif;
      font-weight: bold;
      color: #300ACC;
    }

    body {
      background-image: url('6street.jpeg');
      font-family: 'Arial', sans-serif;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
      padding: 20px;
    }

    .container {
      width: 300px;
      text-align: center;
      background-color: white;
      padding: 20px;
      box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
      border-radius: 10px;
      position: relative;
    }

    .welcome-message {
      margin-bottom: 20px;
    }

    .login-form {
      display: flex;
      flex-direction: column;
      gap: 10px;
    }

    .login-form input {
      padding: 10px;
      font-size: 16px;
      border: 1px solid #ccc;
      border-radius: 5px;
    }

    .login-form button {
      padding: 10px;
      font-size: 16px;
      background-color: #007bff;
      color: white;
      border: none;
      border-radius: 5px;
      cursor: pointer;
    }

    .login-form button:hover {
      background-color: #0056b3;
    }
    
    .account-button {
      margin-top: 10px;
      font-size: 16px;
      background-color: #28a745;
      color: white;
      border: none;
      border-radius: 5px;
      cursor: pointer;
      padding: 10px;
    }

    .account-button:hover {
      background-color: #218838;
    }
  </style>
</head>
<body>
  <div class="container">
    <div class="welcome-message">
      <h1>Welcome to Random Play!</h1>
      <p>Please login with your user account to browse our selection!</p>
    </div>
    <div class="login-form">
      <form action="handle_form_w14.php" method="post"> 
        <p><label>Username: <input type="text" name="username" size="20" maxlength="40"></label></p>
        <p><label>Password: <input type="password" name="password" size="20" maxlength="40"></label></p>
        <p><input type="submit" name="submit" value="Login"></p>
        <button class="account-button" type="button" onclick="window.location.href='create_account.php'">Create Account</button>
      </form>
    </div>
  </div>
</body>
</html>
