<?php
include('mysqli_connect.php');
session_start();

if (empty($_SESSION['username'])){
    header("Location: login_form.php");
    exit();
} else {
}

mysqli_close($dbc);
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Search Forms</title>
    <style type="text/css">
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

        body {
            font-family: 'Arial', sans-serif;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f0f0f0;
            padding: 20px;
            background-image: url('RP.jpeg');
            background-size: cover;
            background-position: center;
            color: #FFA500;
        }

        .container {
            width: 1000px;
            text-align: center;
            background-color: rgba(255, 255, 255, 0.9);
            backdrop-filter: blur(10px);
            padding: 20px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
            display: flex;
            flex-direction: row; 
            justify-content: space-between;
            gap: 20px;
        }

        .welcome-message {
            font-size: 32px;
            font-weight: bold;
            margin-bottom: 20px;
            text-align: center;
            background-color: rgba(0, 0, 0, 0.6);
            padding: 10px;
            border-radius: 5px;
        }

        .form-container {
            display: flex;
            flex-direction: column;
            gap: 20px;
            margin: 20px 0;
        }

        form {
            display: block;
            padding: 15px; 
            background-color: #f8f8f8;
            border: 1px solid #FFA500;
            border-radius: 10px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); 
        }

        fieldset {
            border: none;
            padding: 10px;
            background-color: #e6e6e6;
            border-radius: 5px;
        }

        legend {
            font-weight: bold;
            color: #FFA500;
        }

        h1 {
            color: #FFA500;
            text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.5);
            margin-bottom: 30px;
        }

        .item-row {
            display: flex;
            justify-content: space-around;
            margin-bottom: 10px;
            padding: 10px;
            border-bottom: 1px solid #FFA500;
        }

        .item-row > div {
            flex: 1;
            padding: 5px;
        }

        .random-item {
            background-color: rgba(255, 255, 255, 0.9);
            padding: 15px;
            border-radius: 10px;
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
            text-align: left;
            width: 45%; 
        }

        .random-item h3 {
            margin-bottom: 10px;
            color: #FFA500;
        }

        .random-item p {
            margin: 5px 0;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="form-container">
            <div class="welcome-message">
                Welcome <?php echo ucfirst($_SESSION['username']); ?> to Random Play video store located on Sixth Street!
            </div>
            <form action="handler_keyword.php" method="post">
                <fieldset>
                    <legend>Search for a movie by keyword in the name:</legend>
                    <p>Enter a Keyword or Item Name: 
                    <input type="text" name="keyword" size="20" maxlength="40"></p>
                    <div align="center"><input type="submit" name="search" value="search"></div>
                </fieldset>
            </form>

            <form action="handler_pricerange.php" method="post"> 
                <fieldset>
                    <legend>Search movies by price range:</legend>
                    <p>Between $ 
                    <input type="text" name="start" size="20" maxlength="40">
                    and $ 
                    <input type="text" name="end" size="20" maxlength="40">
                    </p> 
                    <div align="center"><input type="submit" name="search" value="search"></div>
                </fieldset>
            </form>

            <form action="handler_category.php" method="post"> 
                <fieldset>
                    <legend>Search movies by categories:</legend>
                    <p>Select a category: 
                    <select name='category'>
                        <?php 
                        include('mysqli_connect.php');
                        $query = "SELECT genre FROM products GROUP BY genre ORDER BY genre";
                        $result = mysqli_query($dbc, $query);
                        
                        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
                            $category = $row['genre'];
                            echo "<option>$category</option>";
                        }
                        ?>
                    </select>
                    </p>
                    <div align="center"><input type="submit" name="search" value="search"></div>
                </fieldset>
            </form>

            
            
        </div>

        <button type="button" onclick="location.href='logout.php'">Logout</button>
    </div>
</body>
</html>
