<?php
include('mysqli_connect.php');

session_start();
if (empty($_SESSION['username'])){ 
    header("Location: login_form.php");
    exit();
}

?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Admin Page</title>
    <style type="text/css">
     
        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
        }

     
        body {
            font-family: 'Arial', sans-serif;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 100vh;
            background-color: #f0f0f0;
            padding: 20px;
            background-image: url('admin1.jpeg');
            background-size: cover;
            background-position: center;
            color: #FFA500;
            
        }

  
        .container {
            width: 600px;
            text-align: center;
            background-color: rgba(255, 255, 255, 0.9);
            backdrop-filter: blur(10px);
            padding: 20px;
            box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
            border-radius: 10px;
        }

        
        .welcome-message {
            font-size: 32px;
            font-weight: bold;
            margin-bottom: 20px;
            text-align: center;
            background-color: rgba(0, 0, 0, 0.6);
            padding: 10px;
            border-radius: 5px;
        }

       
        .form-container {
            display: flex;
            flex-direction: column;
            gap: 20px;
            margin: 20px 0;
        }

        form {
            display: block;
            padding: 15px;
            background-color: #f8f8f8;
            border: 1px solid #FFA500;
            border-radius: 10px; 
            box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2); 
            overflow-y: auto; 
            max-height: 200px; 
            padding-bottom: 30px; 
        }

       
        fieldset {
            border: none;
            padding: 10px;
            background-color: #e6e6e6;
            border-radius: 5px;
        }

        
        legend {
            font-weight: bold;
            color: #FFA500;
        }
    </style>
</head>
<body>
    

<div class="container">
    <div class="welcome-message">
        Welcome to the Random Play admin <?php echo $_SESSION['username']; ?>
    </div>
    
    <?php
    include('mysqli_connect.php'); 
    $query = "SELECT * from products";
    $query2 = "SELECT * from users";
    $result = mysqli_query($dbc, $query);
    $result2 = mysqli_query($dbc, $query2);
    mysqli_close($dbc);
    $row_cnt = mysqli_num_rows($result);
    $row_cnt2 = mysqli_num_rows($result2);

    echo "<br>The total number of items in the database:  <b> $row_cnt </b> <br><br>";
    echo "The total number of users in the database:  <b> $row_cnt2 </b> <br><br>";
    ?>

    
    <form action="insert_handler.php" method="post"> 
        <fieldset>
            <legend>Insert new Item:</legend>
            <p>
                Name: <input type="text" name="name" size="20" maxlength="40">
            </p>
            <p>
                Category: <input type="text" name="genre" size="20" maxlength="40">
            </p>
            <p>
                Price: <input type="float" name="price" size="20" maxlength="40">
            </p>
            <p>
                Quantity: <input type="integer" name="quantity" size="20" maxlength="40">
            </p>
            <p>
                Description: <input type="text" name="description" size="60" maxlength="40">
            </p>
            <div align="center"><input type="submit" name="submit" value="submit"></div>
        </fieldset>
    </form>

    <br><br>
    <button type="button" onclick="location.href='logout.php'">Logout</button>
</div>

</body>
</html>
